[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomFlowPanel.GetControlIndex

Gets the ordinal position in ControlList for the specified control.

## Declaration

Source position: extctrls.pp line 1330

`public function TCustomFlowPanel.GetControlIndex(`
`AControl: TControl`
`):Integer;`

## Arguments

`AControl` |  | Control to locate in the ControlList container.

## Function result

Position in the control list for the specified control, or -1 when not found.

## Description

GetControlIndex is a convenience method used to get the ordinal position in ControlList for the specified TFlowPanelControl. Calls TFlowPanelControlList.IndexOf to get the return value, which can be -1 if AControl is not found in ControlList.

Use SetControlIndex to set the ordinal position in ControlList for the specified flowed control.

## See also

TCustomFlowPanel.ControlList |  | Container used to stored TFlowPanelControl instances on the panel.
TFlowPanelControlList.IndexOf |  | Gets the ordinal position of the specified control in the list of controls.
TFlowPanelControl.Index |  | Ordinal position for the flowed control in the TFlowPanelControlList collection.
TCollectionItem.Index